<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="9464afa6-0efb-46c2-9cfd-05475acd81df" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/egret/src/Panels/assistancePanel/AssistancePanel.ts" beforeDir="false" afterPath="$PROJECT_DIR$/egret/src/Panels/assistancePanel/AssistancePanel.ts" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="TypeScript File" />
        <option value="JsonFile" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_BRANCH_BY_REPOSITORY">
      <map>
        <entry key="$PROJECT_DIR$" value="qx_JoyousManor" />
      </map>
    </option>
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1UXly4q8gNrBULeFyi6ZvdvwPDo" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="1" id="Add" />
  </component>
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="Git.Branch.Popup.ShowAllRemotes" value="true" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/egret" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="prettierjs.PrettierConfiguration.Package" value="$PROJECT_DIR$/node_modules/prettier" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
    <property name="ts.external.directory.path" value="$APPLICATION_HOME_DIR$/plugins/JavaScriptLanguage/jsLanguageServicesImpl/external" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/mock/joyousManor" />
      <recent name="$PROJECT_DIR$/egret/src/Panels" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/egret" />
      <recent name="$PROJECT_DIR$/egret/src/Panels" />
      <recent name="$PROJECT_DIR$/egret/src/components" />
      <recent name="$PROJECT_DIR$/egret/src/Panels/toastPanel" />
    </key>
  </component>
  <component name="ServiceViewManager">
    <option name="viewStates">
      <list>
        <serviceView>
          <treeState>
            <expand />
            <select />
          </treeState>
        </serviceView>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="9464afa6-0efb-46c2-9cfd-05475acd81df" name="Default Changelist" comment="" />
      <created>1575511071646</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1575511071646</updated>
      <workItem from="1575511075329" duration="38000" />
      <workItem from="1575511116038" duration="231000" />
      <workItem from="1575511358993" duration="626000" />
      <workItem from="1575511989902" duration="370000" />
      <workItem from="1575512375307" duration="22831000" />
      <workItem from="1575602130550" duration="39482000" />
      <workItem from="1575855730362" duration="63686000" />
      <workItem from="1576028222753" duration="20931000" />
      <workItem from="1576054885494" duration="2887000" />
      <workItem from="1583219757183" duration="593000" />
      <workItem from="1583220362074" duration="137000" />
      <workItem from="1583220506657" duration="9406000" />
      <workItem from="1583372395551" duration="639000" />
      <workItem from="1583388643389" duration="6414000" />
      <workItem from="1585557652396" duration="90000" />
      <workItem from="1585797481773" duration="722000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="WindowStateProjectService">
    <state x="458" y="202" key="#Vim_Emulation" timestamp="1575511809726">
      <screen x="36" y="23" width="1644" height="1027" />
    </state>
    <state x="458" y="202" key="#Vim_Emulation/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1575511809726" />
    <state x="322" y="198" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1575512273960">
      <screen x="36" y="23" width="1644" height="1027" />
    </state>
    <state x="322" y="198" key="#com.intellij.execution.impl.EditConfigurationsDialog/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1575512273960" />
    <state x="614" y="412" key="#com.intellij.ide.actions.ChooseComponentsToExportDialog" timestamp="1575511344808">
      <screen x="36" y="23" width="1644" height="1027" />
    </state>
    <state x="614" y="412" key="#com.intellij.ide.actions.ChooseComponentsToExportDialog/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1575511344808" />
    <state x="596" y="290" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1576055066776">
      <screen x="36" y="23" width="1644" height="1027" />
    </state>
    <state x="596" y="290" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1576055066776" />
    <state x="367" y="174" key="SettingsEditor" timestamp="1575691018533">
      <screen x="36" y="23" width="1644" height="1027" />
    </state>
    <state x="367" y="174" key="SettingsEditor/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1575691018533" />
    <state x="659" y="460" key="com.intellij.openapi.vcs.update.UpdateOrStatusOptionsDialogupdate-v2" timestamp="1575620245218">
      <screen x="36" y="23" width="1644" height="1027" />
    </state>
    <state x="659" y="460" key="com.intellij.openapi.vcs.update.UpdateOrStatusOptionsDialogupdate-v2/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1575620245218" />
    <state x="534" y="291" width="648" height="490" key="find.popup" timestamp="1575964266686">
      <screen x="36" y="23" width="1644" height="1027" />
    </state>
    <state x="534" y="291" width="648" height="490" key="find.popup/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1575964266686" />
    <state x="586" y="160" key="refactoring.ChangeSignatureDialog" timestamp="1575965663028">
      <screen x="36" y="23" width="1644" height="1027" />
    </state>
    <state x="586" y="160" key="refactoring.ChangeSignatureDialog/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1575965663028" />
    <state x="522" y="250" width="671" height="676" key="search.everywhere.popup" timestamp="1583388766373">
      <screen x="35" y="23" width="1645" height="1027" />
    </state>
    <state x="2248" y="31" width="784" height="775" key="search.everywhere.popup/35.23.1645.1027/1680.-229.1920.1177@1680.-229.1920.1177" timestamp="1583293949360" />
    <state x="522" y="250" width="671" height="676" key="search.everywhere.popup/35.23.1645.1027/1680.-229.1920.1177@35.23.1645.1027" timestamp="1583388766373" />
    <state x="523" y="250" width="670" height="676" key="search.everywhere.popup/36.23.1644.1027/1680.-229.1920.1177@36.23.1644.1027" timestamp="1576056637967" />
    <state x="523" y="250" width="670" height="676" key="search.everywhere.popup/36.23.1644.1027@36.23.1644.1027" timestamp="1575960048181" />
  </component>
</project>